Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class TableProperties

    java.lang.Object
      org.apache.poi.hwpf.model.types.TAPAbstractType
          org.apache.poi.hwpf.usermodel.TableProperties

All Implemented Interfaces:
  java.lang.Cloneable

    public final class TableProperties

extends TAPAbstractType
implements java.lang.Cloneable

Constructor Summary
`TableProperties()`
`TableProperties(short columns)`

Method Summary
`java.lang.Object` | `clone()`

Methods inherited from class org.apache.poi.hwpf.model.types.TAPAbstractType
`getBrcBottom, getBrcHorizontal, getBrcLeft, getBrcRight, getBrcTop, getBrcVertical, getCHorzBands, getCVertBands, getDxaAbs, getDxaAdjust, getDxaColWidthWwd, getDxaFromText, getDxaFromTextRight, getDxaGapHalf, getDxaRTEWrapWidth, getDxaWebView, getDyaAbs, getDyaFromText, getDyaFromTextBottom, getDyaRowHeight, getFBiDi, getFCantSplit, getFCantSplit90, getFHasOldProps, getFNoAllowOverlap, getFPropRMark, getFRTL, getFSpare, getFTableHeader, getFtsCellPaddingDefaultBottom, getFtsCellPaddingDefaultLeft, getFtsCellPaddingDefaultRight, getFtsCellPaddingDefaultTop, getFtsCellPaddingOuterBottom, getFtsCellPaddingOuterLeft, getFtsCellPaddingOuterRight, getFtsCellPaddingOuterTop, getFtsCellSpacingDefaultBottom, getFtsCellSpacingDefaultLeft, getFtsCellSpacingDefaultRight, getFtsCellSpacingDefaultTop, getFtsCellSpacingOuterBottom, getFtsCellSpacingOuterLeft, getFtsCellSpacingOuterRight, getFtsCellSpacingOuterTop, getFtsWidth, getFtsWidthAfter, getFtsWidthBefore, getFtsWidthIndent, getGrpfTap_unused, getGrpfTap, getInternalFlags, getIstd, getItcMac, getJc, getPcHorz, getPctWwd, getPcVert, getRgbrcInsideDefault_0, getRgbrcInsideDefault_1, getRgdxaCenter, getRgdxaCenterPrint, getRgshd, getRgtc, getShdTable, getTlp, getViewFlags_unused2, getViewFlags, getWCellPaddingDefaultBottom, getWCellPaddingDefaultLeft, getWCellPaddingDefaultRight, getWCellPaddingDefaultTop, getWCellPaddingOuterBottom, getWCellPaddingOuterLeft, getWCellPaddingOuterRight, getWCellPaddingOuterTop, getWCellSpacingDefaultBottom, getWCellSpacingDefaultLeft, getWCellSpacingDefaultRight, getWCellSpacingDefaultTop, getWCellSpacingOuterBottom, getWCellSpacingOuterLeft, getWCellSpacingOuterRight, getWCellSpacingOuterTop, getWidthAndFitsFlags_empty1, getWidthAndFitsFlags_empty2, getWidthAndFitsFlags, getWWidth, getWWidthAfter, getWWidthBefore, getWWidthIndent, isFAdjusted, isFAutofit, isFCellSpacing, isFFirstRow, isFInvalAutofit, isFKeepFollow, isFLastRow, isFNeverBeenAutofit, isFNotPageView, isFOrigWordTableRules, isFOutline, isFVert, isFWebView, isFWrapToWwd, isViewFlags_unused1, setBrcBottom, setBrcHorizontal, setBrcLeft, setBrcRight, setBrcTop, setBrcVertical, setCHorzBands, setCVertBands, setDxaAbs, setDxaAdjust, setDxaColWidthWwd, setDxaFromText, setDxaFromTextRight, setDxaGapHalf, setDxaRTEWrapWidth, setDxaWebView, setDyaAbs, setDyaFromText, setDyaFromTextBottom, setDyaRowHeight, setFAdjusted, setFAutofit, setFBiDi, setFCantSplit, setFCantSplit90, setFCellSpacing, setFFirstRow, setFHasOldProps, setFInvalAutofit, setFKeepFollow, setFLastRow, setFNeverBeenAutofit, setFNoAllowOverlap, setFNotPageView, setFOrigWordTableRules, setFOutline, setFPropRMark, setFRTL, setFSpare, setFTableHeader, setFtsCellPaddingDefaultBottom, setFtsCellPaddingDefaultLeft, setFtsCellPaddingDefaultRight, setFtsCellPaddingDefaultTop, setFtsCellPaddingOuterBottom, setFtsCellPaddingOuterLeft, setFtsCellPaddingOuterRight, setFtsCellPaddingOuterTop, setFtsCellSpacingDefaultBottom, setFtsCellSpacingDefaultLeft, setFtsCellSpacingDefaultRight, setFtsCellSpacingDefaultTop, setFtsCellSpacingOuterBottom, setFtsCellSpacingOuterLeft, setFtsCellSpacingOuterRight, setFtsCellSpacingOuterTop, setFtsWidth, setFtsWidthAfter, setFtsWidthBefore, setFtsWidthIndent, setFVert, setFWebView, setFWrapToWwd, setGrpfTap_unused, setGrpfTap, setInternalFlags, setIstd, setItcMac, setJc, setPcHorz, setPctWwd, setPcVert, setRgbrcInsideDefault_0, setRgbrcInsideDefault_1, setRgdxaCenter, setRgdxaCenterPrint, setRgshd, setRgtc, setShdTable, setTlp, setViewFlags_unused1, setViewFlags_unused2, setViewFlags, setWCellPaddingDefaultBottom, setWCellPaddingDefaultLeft, setWCellPaddingDefaultRight, setWCellPaddingDefaultTop, setWCellPaddingOuterBottom, setWCellPaddingOuterLeft, setWCellPaddingOuterRight, setWCellPaddingOuterTop, setWCellSpacingDefaultBottom, setWCellSpacingDefaultLeft, setWCellSpacingDefaultRight, setWCellSpacingDefaultTop, setWCellSpacingOuterBottom, setWCellSpacingOuterLeft, setWCellSpacingOuterRight, setWCellSpacingOuterTop, setWidthAndFitsFlags_empty1, setWidthAndFitsFlags_empty2, setWidthAndFitsFlags, setWWidth, setWWidthAfter, setWWidthBefore, setWWidthIndent, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableProperties

    public TableProperties()

### TableProperties

    public TableProperties(short columns)

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD